{% extends appTheme.getTheme~'/base.html.twig' %}
{% from "default/macros/form.html.twig" import input_field, input_checkbox %}
{% set translations = {
    'deathDateAfterNow': 'dateJsValidation.deathDateAfterNow'|trans|raw,
    'deathCertificateDateAfterNow' : 'dateJsValidation.deathCertificateDateAfterNow'|trans|raw,
    'birthDateAfterNow' : 'dateJsValidation.birthDateAfterNow'|trans|raw,
    'deathDateAfterdeathCertificateDate': 'dateJsValidation.deathDateAfterdeathCertificateDate'|trans|raw
} %}

{% block title %}{% trans %}Recherche{% endtrans %}{% endblock %}

{% block body %}

    <div class="container">
        <h1>{% trans %}Recherche{% endtrans %}</h1>
        <p class="title-notice notice">{% trans %}Tous les champs comportants * sont obligatoires.{% endtrans %}</p>

        <div class="container-small">
            {{ form_start(searchForm, {'attr': {'class': 'form-custom form-add-user'}}) }}
                <h2>{% trans %}Acte de décès{% endtrans %}</h2>

                <div class="alert alert-danger" id="js_error" data-translations="{{ translations|json_encode }}">

                </div>

                {{ input_checkbox(searchForm.agreeTerms, false, true) }}

                <div class="inputs-wrapper">
                    {{ input_field(searchForm.deathDate) }}
                    {{ input_field(searchForm.deathLocation) }}
                    {{ input_field(searchForm.deathCertificateDate) }}
                    {{ input_field(searchForm.recipient) }}
                </div>

                <div id="personal-infos" hidden>
                    <h2>{% trans %}État civil{% endtrans %}</h2>

                    <div class="inputs-wrapper">
                        {{ input_field(searchForm.firstName) }}
                        {{ input_field(searchForm.middleName, {}, {}, true) }}
                        {{ input_field(searchForm.thirdName, {}, 'thirdName') }}
                        {% if settings.data.getSearchByName == constant('App\\Helper\\SearchHelper::SEARCH_BY_CIVIL_NAME') %}
                            {{ input_field(searchForm.civilName) }}
                            {{ input_field(searchForm.useName) }}
                        {% else %}
                            {{ input_field(searchForm.useName) }}
                            {{ input_field(searchForm.civilName) }}
                        {% endif %}
                        {{ input_field(searchForm.birthDate) }}
                    </div>
                </div>

                <div class="flex-container align-right">
                    {{ form_row(searchForm.send, {'attr': {'class': 'border-button'}}) }}
                </div>
            {{ form_end(searchForm) }}
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('search', null, 'default') }}
{% endblock %}
